Package csb :: Package bio :: Package structure :: Class ConfinedEntityIterator

[frames] | no frames]

# Class ConfinedEntityIterator

source code

                 object --+
                          |
    CompositeEntityIterator --+
                              |
                             ConfinedEntityIterator

Iterates over composite AbstractEntity hierarchies, but terminates the traversal of a branch once a specific node type is encountered.

Instance Methods

__init__(self, node, leaf) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `CompositeEntityIterator`: `__iter__`, `__next__`, `next` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Static Methods
Inherited from `CompositeEntityIterator`: `create`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, node, leaf)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `node` (AbstractEntity) - root entity to traverse
  - `leaf` (class) - traverse the hierarchy down to the specified AbstractEntity
Overrides: object.__init__
  (inherited documentation)